function battle_jai010b(npcID) --岩石傀儡

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	m=flag.GetBattleValue(12959)
    hp=battle.GetSelfHP(2)
	if m==2 then
		flag.SetBattleValue(12959,3)
		battle.Escape(1)
		return
	elseif m==4 then
		if battle.CheckNpcPlace(4)+battle.CheckNpcPlace(5)+battle.CheckNpcPlace(6)+battle.CheckNpcPlace(7)==1 then
			flag.SetBattleValue(19060,1)
		end
		battle.Escape(1)
		return		
	end
	
	if hp<=80 then
		m=m+1
		flag.SetBattleValue(12959,m)
		global.SetMonsterStat(5661,3)
		battle.MagicToNpc(npcID,1225,1)
		
				battle.ActionTwice()
	else
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then

			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击

		else

			battle.MagicToPlayer(0,1233,1)   --全体法术
		end
		
	end
end